[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] tests: run ls capability coloring test irrespective of $LS_COLOR
From: |
Pádraig Brady |
Subject: |
[PATCH] tests: run ls capability coloring test irrespective of $LS_COLORS |
Date: |
Tue, 28 Apr 2015 21:33:35 +0100 |
* tests/ls/no-cap.sh: Ensure the test isn't skipped even if
capability coloring is disabled in the current $LS_COLORS.
Also just enable/disable capability coloring to avoid the
dircolors(1) overhead.
---
tests/ls/no-cap.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/tests/ls/no-cap.sh b/tests/ls/no-cap.sh
index 625f839..ecbfb31 100755
--- a/tests/ls/no-cap.sh
+++ b/tests/ls/no-cap.sh
@@ -20,13 +20,14 @@
print_ver_ ls
require_strace_ capget
+LS_COLORS=ca=1; export LS_COLORS
strace -e capget ls --color=always > /dev/null 2> out || fail=1
$EGREP 'capget\(' out || skip_ "your ls doesn't call capget"
rm -f out
-eval "$(TERM=xterm dircolors -b | sed 's/ca=[^:]*:/ca=:/')"
-strace -e capget ls --color=always > /dev/null 2> out || fail=1
+LS_COLORS=ca=:; export LS_COLORS
+strace -e capget ls --color=always > /dev/null 2> out || fail=1
$EGREP 'capget\(' out && fail=1
Exit $fail
--
2.3.4
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [PATCH] tests: run ls capability coloring test irrespective of $LS_COLORS,
Pádraig Brady <=